ProxyHost (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.ProxyHost class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class ProxyHost

    java.lang.Object
      org.apache.commons.httpclient.HttpHost
          org.apache.commons.httpclient.ProxyHost

All Implemented Interfaces:
  Cloneable

    public class ProxyHost

extends HttpHost

Holds all of the variables needed to describe an HTTP connection to a proxy. Proxy hosts always use plain HTTP connection when communicating with clients.

Since:
  3.0
Author:
  Michael Becke, Mike Bowler, Oleg Kalnichevski, Laura Werner

Constructor Summary
`ProxyHost(ProxyHost httpproxy)` Copy constructor for HttpHost
`ProxyHost(String hostname)` Constructor for HttpHost.
`ProxyHost(String hostname, int port)` Constructor for ProxyHost.

Method Summary
`Object` | `clone()`

Methods inherited from class org.apache.commons.httpclient.HttpHost
`equals, getHostName, getPort, getProtocol, hashCode, toString, toURI`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyHost

    public ProxyHost(ProxyHost httpproxy)

  Copy constructor for HttpHost

  Parameters:
    `httpproxy` - the HTTP host to copy details from

### ProxyHost

    public ProxyHost(String hostname,
                     int port)

  Constructor for ProxyHost.

  Parameters:
    `hostname` - the hostname (IP or DNS name). Can be `null`.
    `port` - the port. Value `-1` can be used to set default protocol port

### ProxyHost

    public ProxyHost(String hostname)

  Constructor for HttpHost.

  Parameters:
    `hostname` - the hostname (IP or DNS name). Can be `null`.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `HttpHost`
  Throws:
    `CloneNotSupportedException`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.